Subject: [MMUSIC] IANA Registration Policy differences between DTLS-SRTP, SDES and MIKEY

From: Flemming Andreasen <[email-masked]>
Date: Thu, 05 Mar 2015 16:33:40 -0500

Greetings

At the last IETF meeting, an issue came up in the AVTCORE group related 
to IANA registration policies for the different SRTP keying mechanisms 
defined (DTLS-SRTP, SDES and MIKEY). More specifically, we currently 
have the following:

- DTLS-SRTP [RFC 5764]:    "Specification Required" [RFC 5226] (for new 
DTLS-SRTP Protection Profiles )
(see also 
http://www.iana.org/assignments/srtp-protection/srtp-protection.xhtml#srtp-protection-1)

- SDP Security Descriptions (SDES) [RFC 4568]:    "Standards Action" 
[RFC 2434] (for new SRTP Crypto Suite Registrations)
(see also 
http://www.iana.org/assignments/sdp-security-descriptions/sdp-security-descriptions.xhtml#sdp-security-descriptions-3)

- MIKEY [RFC 6309]:     "IETF Review" or "IESG Approval" for SRTP Pseudo 
Random Function (Value 5) and Encryption algorithm (Value 0)
(see also 
http://www.iana.org/assignments/mikey-payloads/mikey-payloads.xhtml#mikey-payloads-25)

The question to the group is whether people see a need to more closely 
align the IANA registration policies between these different mechanisms, 
and if so what should they align to.

Note that the issue came up in AVTCORE in the context of 
https://tools.ietf.org/id/draft-ietf-avtcore-aria-srtp-07.txt.

Thanks

-- Flemming (as MMUSIC co-chair)